Get Inspected Files

Get Inspected Files
Get list of inspected files

Retrieves basic information about files inspected by the Malware Prevention Service (MPS), including file hashes, verdict, and inspection time. For detailed information about a specific file (e.g., number of affected workloads), use the /inspected-files/details?sha256= API. For a given set of filters, a maximum of 10,000 unique files will be returned. Supported values for optional parameter 'sort_by' are:

  • LAST_INSPECTED_TIME (Default)
  • THREAT_SCORE
Request
URI
GET
https://{api_host}/malware-prevention/inspected-files
COPY
Query Parameters
integer
start_time
Required  

Use this request param for specifying starting time of a timeline. Value has to be specified in milliseconds since epoch.

integer
end_time
Required  

Use this request param for specifying ending time of a timeline. Value has to be specified in milliseconds since epoch.

string of array
sha256
Optional

Use this request param for specifying sha256 hash to filter. If this parameter is passed multiple times, OR condition will be assumed. If value passed is empty string, it will be considered as valid input for filtering.

string of array
verdict
Optional

Use this request param for specifying verdict to filter. If this parameter is passed multiple times, OR condition will be assumed. If value passed is empty string, it will be considered as valid input for filtering. Available values - BENIGN, TRUSTED, HIGHLY_TRUSTED, SUSPICIOUS, MALICIOUS, UNKNOWN, UNINSPECTED Filtering by any one of BENIGN, TRUSTED, or HIGHLY_TRUSTED will return all inspection results within the BENIGN score range (0-29), which includes files or processes with any of these three verdicts.

boolean
is_excluded
Optional

Used for specifying filter of exclusion files. By default, this parameter will be considered null and no filtering on exclusion will be applied.

string of array
malware_family
Optional

Used for specifying malware family to filter. If this parameter is passed multiple times, OR condition will be assumed. Pass 'EMPTY' to explicitly retrieve records where the malware family field is blank or unassigned.

string of array
malware_class
Optional

Used for specifying malware class to filter. If this parameter is passed multiple times, OR condition will be assumed. Pass 'EMPTY' to explicitly retrieve records where the malware class field is blank or unassigned.

boolean
is_blocked
Optional

Used for specifying filter of blocked files. By default, this parameter will be considered null and no filtering on is_blocked value will be applied.

string of array
file_type
Optional

Used for specifying file_type to filter. If this parameter is passed multiple times, OR condition will be assumed.

string of array
analysis_type
Optional

Used for specifying analysis type to filter. If this parameter is passed multiple times, OR condition will be assumed.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

string of array
site_ids
Optional

Identifiers of the local managers or sites.

array,null
vm_id
Optional

ID of the Virtual Machine.


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Operation

Returns InspectedFilesListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineInspectedFilesListResult1
{
    "total_result_count": 2,
    "results": [
        {
            "sha256": "224c569874f0c88681f79e099d8113a6d03700e5d9a9f80ec53f7efb7c963520",
            "file_size": 65630,
            "last_inspected": 1772693414358,
            "inspection_status": "COMPLETED",
            "threat_score": 0,
            "verdict": "BENIGN",
            "is_excluded": {
                "last_inspection_setting": false,
                "current_setting": false
            },
            "malware_family": [],
            "malware_class": [],
            "is_blocked": false,
            "file_type": "CsvDataFile",
            "inspections_count": 2,
            "last_inspected_site": {
                "site_id": "2b9c5262-b1b1-48b7-97cf-144e3a2d104e"
            }
        },
        {
            "sha256": "35d639f99f2b9055db270cb36eb8621d278012ebd41564cb9684638acade7334",
            "file_size": 5150,
            "last_inspected": 1772693414277,
            "inspection_status": "COMPLETED",
            "threat_score": 0,
            "verdict": "BENIGN",
            "is_excluded": {
                "last_inspection_setting": false,
                "current_setting": false
            },
            "malware_family": [],
            "malware_class": [],
            "is_blocked": false,
            "file_type": "XmlDocFile",
            "inspections_count": 2,
            "last_inspected_site": {
                "site_id": "2b9c5262-b1b1-48b7-97cf-144e3a2d104e"
            }
        }
    ]
}

400

Bad request.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/malware-prevention/inspected-files?start_time=value&end_time=v